Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

an error occurred when use “hexo init” #3931

Open
did999 opened this issue Dec 12, 2019 · 1 comment
Open

an error occurred when use “hexo init” #3931

did999 opened this issue Dec 12, 2019 · 1 comment

Comments

@did999
Copy link

@did999 did999 commented Dec 12, 2019

npm WARN deprecated fsevents@1.2.9: One of your dependencies needs to upgrade to fsevents v2: 1) Proper nodejs v10+ support 2) No more fetching binaries from AWS, smaller package size

fsevents@1.2.9 install /Users/did/Documents/mybk/node_modules/nunjucks/node_modules/fsevents
node install

node-pre-gyp WARN Using needle for node-pre-gyp https download

node-pre-gyp WARN Tried to download(404):

https://fsevents-binaries.s3-us-west-2.amazonaws.com/v1.2.9/fse-v1.2.9-node-v79-darwin-x64.tar.gz

node-pre-gyp WARN Pre-built binaries not found for fsevents@1.2.9 and node@13.3.0 (node-v79

ABI, unknown) (falling back to source compile with node-gyp)

SOLINK_MODULE(target) Release/.node
CXX(target) Release/obj.target/fse/fsevents.o
SOLINK_MODULE(target) Release/fse.node
COPY /Users/did/Documents/mybk/node_modules/nunjucks/node_modules/fsevents/lib/binding/Release/node-v79-darwin-x64/fse.node
TOUCH Release/obj.target/action_after_build.stamp

Here`s fsevents@1.2.9 links : https://www.npmjs.com/package/fsevents/v/1.2.9

@curbengh

This comment has been minimized.

Copy link
Contributor

@curbengh curbengh commented Dec 17, 2019

Can you attach the output of hexo -v?

fsevents is an optional dependency and hexo init skips optional dependency by default.

Relevant issue: mozilla/nunjucks#1254

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
2 participants
You can’t perform that action at this time.